# This spec is backported to ALTLinux 4.1 automatically by rpmbh script. Do not edit it.
%define ver_major 1.14
%def_disable static

Name: libgsf
Version: %ver_major.9
Release: alt0.M41.1

Summary: GNOME Structured file library
License: %lgpl2plus
Group: System/Libraries
Url: http://www.gnome.org/
Packager: GNOME Maintainers Team <gnome@packages.altlinux.org>
Source: %gnome_ftp/%name/%ver_major/%name-%version.tar.bz2

BuildPreReq: rpm-build-gnome rpm-build-licenses

# From configure.in
BuildPreReq: intltool
BuildPreReq: bzlib-devel
BuildPreReq: glib2-devel >= 2.8.0
BuildPreReq: libgio-devel
BuildPreReq: libxml2-devel >= 2.4.16
BuildPreReq: libbonobo-devel >= 2.0
BuildPreReq: gnome-vfs2-devel >= 2.2.0
BuildPreReq: gtk-doc >= 1.0
BuildPreReq: zlib-devel
BuildPreReq: GConf libGConf-devel
BuildPreReq: python-devel
BuildPreReq: python-module-pygobject-devel >= 2.10.0
BuildPreReq: python-module-pygtk-devel python-module-pyorbit-devel 

BuildRequires: perl-XML-Parser

BuildRequires: rpm-build-compat >= 0.95

%description
GNOME Structured file library

%package devel
Summary: Libraries and include files for gsf
Group: Development/C
Requires: %name = %version-%release

%description devel
This package provides the necessary development libraries and include
files to allow you to develop programs using gsf.

%if_enabled static
%package devel-static
Summary: Static gsf libraries
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
This package provides the necessary development libraries to allow you
to build programs staticallly linked against libgsf.
%endif

%package gnome
Summary: GNOME Structured file library
Group: System/Libraries

%description gnome
GNOME Structured file library with Bonobo and Gnome-vfs support.

%package gnome-devel
Summary: Libraries and include files for gsf
Group: Development/C
Requires: %name-gnome = %version-%release

%description gnome-devel
This package provides the necessary development libraries and include
files to allow you to develop programs using gsf with Bonobo and
Gnome-vfs support.

%if_enabled static
%package gnome-devel-static
Summary: Static gsf libraries
Group: Development/C
Requires: %name-gnome-devel = %version-%release

%description gnome-devel-static
This package provides the necessary development libraries to allow you
to build programs staticallly linked against libgsf with Bonobo and
Gnome-vfs support.
%endif

%setup_python_module gsf
%package -n python-module-gsf
Summary: Python bindings for %name
Group: Development/Python
Autoreq: yes
Requires: %name = %version-%release
%add_python_req_skip _gsf

%description -n python-module-gsf
This package contains files that are needed to use libgsf from Python
programs.

%setup_python_module gsf-gnome
%package -n python-module-gsf-gnome
Summary: Python bindings for %name-gnome
Group: Development/Python
Autoreq: yes
Requires: %name-gnome = %version-%release

%description -n python-module-gsf-gnome
This package contains files that are needed to use libgsf-gnome from Python
programs.

%define _gtk_docdir %_datadir/gtk-doc/html

%prep
%setup -q

%build
%configure \
    --with-gnome \
    --with-python \
    --with-bz2 \
    --disable-scrollkeeper \
    --disable-schemas-install \
    --enable-gtk-doc \
    %{subst_enable static}

%make_build

%install
%makeinstall

mkdir -p %buildroot%_gtk_docdir/%name
cp doc/html/* %buildroot%_gtk_docdir/%name/

%find_lang --with-gnome %name

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%post gnome -p %post_ldconfig
%postun gnome -p %postun_ldconfig

%files -f %name.lang
%_bindir/*
%_libdir/%name-1.so.*
%_man1dir/*
%doc AUTHORS README TODO NEWS ChangeLog

%files devel
%dir %_includedir/%name-1
%dir %_includedir/%name-1/gsf
%_includedir/%name-1/gsf/*.h
#dir %_includedir/%name-1/gsf-gvfs
#_includedir/%name-1/gsf-gvfs/*.h
%_libdir/%name-1.so
%_pkgconfigdir/%name-1.pc
%doc doc/html

%if_enabled static
%files devel-static
%_libdir/%name-1.a
%endif

%files gnome
%_libdir/%name-gnome-1.so.*
#config %gconf_schemasdir/*
%doc AUTHORS README TODO NEWS ChangeLog

%files gnome-devel
%_includedir/%name-1/gsf-gnome
%_libdir/%name-gnome-1.so
%_pkgconfigdir/%name-gnome-1.pc
%doc %_gtk_docdir/*

%if_enabled static
%files gnome-devel-static
%_libdir/%name-gnome-1.a
%endif

%files -n python-module-gsf
%dir %python_sitelibdir/gsf
%python_sitelibdir/gsf/*.py*
%python_sitelibdir/gsf/_gsfmodule.so

%files -n python-module-gsf-gnome
%python_sitelibdir/gsf/gnomemodule.so
%exclude %python_sitelibdir/gsf/*.la

%changelog
* Mon Sep 01 2008 Alexey Rusakov <ktirf@altlinux.org> 1.14.9-alt0.M41.1
- backport to ALTLinux 4.1 (by rpmbph script)

* Mon Sep 01 2008 Alexey Rusakov <ktirf@altlinux.org> 1.14.9-alt1
- Version 1.14.9.
- Added intltool to explicit buildreqs.
- Updated the files list of the -devel subpackage (no more gsf-gvfs).

* Fri Mar 14 2008 Alexey Shabalin <shaba@altlinux.ru> 1.14.8-alt1
- Version 1.14.8.

* Sun Feb 03 2008 Grigory Batalov <bga@altlinux.ru> 1.14.7-alt3.1
- Rebuilt with python-2.5.

* Mon Jan 14 2008 Alexey Rusakov <ktirf@altlinux.org> 1.14.7-alt3
- Fixed Python bindings packaging.

* Wed Jan 09 2008 Alexey Rusakov <ktirf@altlinux.org> 1.14.7-alt2
- Python bindings packaged.
- Use more macros.
- Updated the files list.

* Tue Sep 25 2007 Alexey Morsov <swi@altlinux.ru> 1.14.7-alt1
- version 1.14.7

* Fri Sep 14 2007 Alexey Morsov <swi@altlinux.ru> 1.14.6-alt1
- buf fixes
- some function deprecated/deleted/renamed

* Tue Jul 31 2007 Alexey Morsov <swi@altlinux.ru> 1.14.5-alt1
- fix a doc build error
- many small fixes
- needed for gnumeric 1.7.11

* Tue Mar 06 2007 Alexey Morsov <swi@altlinux.ru> 1.14.3-alt1
- new version (bug fixes)

* Thu Dec 14 2006 Alexey Morsov <swi@altlinux.ru> 1.14.2-alt1
- NMU: new version

* Sat Sep 23 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.14.1-alt2
- fixed dependencies.

* Fri Aug 11 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.14.1-alt1
- new version 1.14.1 (with rpmrb script)

* Sat Jun 10 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.14.0-alt2
- fixed the license.

* Tue Mar 21 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.14.0-alt1
- new version (1.14.0)
- spec cleanup

* Thu Nov 10 2005 Alexey Rusakov <ktirf@altlinux.ru> 1.13.3-alt1
- new version

* Tue Oct 11 2005 Alexey Rusakov <ktirf@altlinux.ru> 1.13.2-alt1
- new version
- Removed excess buildreqs.

* Sat Sep 10 2005 Alexey Rusakov <ktirf@altlinux.ru> 1.12.3-alt1
- 1.12.3

* Tue Sep 06 2005 Alexey Rusakov <ktirf@altlinux.ru> 1.12.2-alt1
- 1.12.2

* Mon Sep 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.10.1-alt1
- 1.10.1

* Mon May 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.9.1-alt1
- 1.9.1

* Wed May 05 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.9.0-alt1
- 1.9.0

* Sun Nov 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.8.2-alt3
- do not package .la files.
- do not build devel-static subpackages by default.

* Thu Oct 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.8.2-alt2
- libgsf-gnome{,-devel{,-static}} subpackages.

* Sun Sep 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.8.2-alt1
- 1.8.2

* Sat Jun 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.8.1-alt1
- 1.8.1

* Mon May 12 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.8.0-alt1
- 1.8.0

* Sun Feb 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.7.2-alt1
- new version.

* Thu Oct 03 2002 AEN <aen@altlinux.ru> 1.4.0-alt1
- first build for Sisyphus

